Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.exchange
Class RobustInOutExchange

    java.lang.Object
      org.codehaus.xfire.exchange.AbstractMessageExchange
          org.codehaus.xfire.exchange.RobustInOutExchange

All Implemented Interfaces:
  MessageExchange

    public class RobustInOutExchange

extends AbstractMessageExchange

A robust in-out MEP. A reply is always sent back. If a fault occurs it is also sent back.

Author:
  Dan Diephouse

Constructor Summary
`RobustInOutExchange(MessageContext context)`

Method Summary
`Channel` | `getFaultChannel()`
`AbstractMessage` | `getFaultMessage()`
`Channel` | `getInChannel()`
`Channel` | `getOutChannel()`
`OutMessage` | `getOutMessage()`
`boolean` | `hasFaultMessage()`
`boolean` | `hasInMessage()`
`boolean` | `hasOutMessage()`

Methods inherited from class org.codehaus.xfire.exchange.AbstractMessageExchange
`getContext, getDeadLetterChannel, getInMessage, getMessage, getOperation, hasMessage, setFaultMessage, setInMessage, setMessage, setOperation, setOutMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobustInOutExchange

    public RobustInOutExchange(MessageContext context)

Method Detail

### getOutMessage

    public OutMessage getOutMessage()

  Specified by:
    `getOutMessage` in interface `MessageExchange`
  Overrides:
    `getOutMessage` in class `AbstractMessageExchange`

### getFaultMessage

    public AbstractMessage getFaultMessage()
                                    throws java.lang.UnsupportedOperationException

  Specified by:
    `getFaultMessage` in interface `MessageExchange`
  Overrides:
    `getFaultMessage` in class `AbstractMessageExchange`
  Throws:
    `java.lang.UnsupportedOperationException`

### hasFaultMessage

    public boolean hasFaultMessage()

  Specified by:
    `hasFaultMessage` in interface `MessageExchange`
  Overrides:
    `hasFaultMessage` in class `AbstractMessageExchange`

### hasInMessage

    public boolean hasInMessage()

  Specified by:
    `hasInMessage` in interface `MessageExchange`
  Overrides:
    `hasInMessage` in class `AbstractMessageExchange`

### hasOutMessage

    public boolean hasOutMessage()

  Specified by:
    `hasOutMessage` in interface `MessageExchange`
  Overrides:
    `hasOutMessage` in class `AbstractMessageExchange`

### getFaultChannel

    public Channel getFaultChannel()

  Overrides:
    `getFaultChannel` in class `AbstractMessageExchange`

### getInChannel

    public Channel getInChannel()

  Overrides:
    `getInChannel` in class `AbstractMessageExchange`

### getOutChannel

    public Channel getOutChannel()

  Overrides:
    `getOutChannel` in class `AbstractMessageExchange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.